<?php session_start();

require "script_php/contagemindex.php";
require "script_php/contagem_index_chronos.php";
require "script_php/barras.php";
require_once "script_php/consultaAniversariantes.php";
require_once "gerador/SqlServer.php";
require_once 'gerador/Datas.php';
$media = 0;
//buscando a loja que o usuario esta logado
$loja = $_SESSION["loja"];

//instanciando a classe que cuida de datas no sistema
$data = new Data;
//buscando o primeiro dia do mes com separador de / e por dia mes e ano
$dia = $data->primeiroDiaMes2();

//mes e ano atual para verificar funcionario com data de aniversario mes atual
$mesAnoAtual = date("m");
$pendentes = contarPendentes($conexao, $loja);
$pedidos = contarPedidos($conexao, $loja);
$pedidosrecebidos = contarPedidosRecebidos($conexao, $loja);
?>

<!DOCTYPE html>
<html>
<head>

<?php include_once "head.html"; ?>
    <title></title>
</head>
<body>

<?php include_once "header.php"; ?>

 <!--mensagens na tela-->
  <?php if (isset($_SESSION["msg"])) {
      echo $_SESSION["msg"];
      unset($_SESSION["msg"]);
  } ?>
 <section> <h5> Sistema Remoto </h5>
 <small> <i>Usuário: <?php echo $usuario; ?> </small>

<br>

<?php
$query = "SELECT max(dataimport) as importacao from pedidos;";
$result = mysqli_query($conexao, $query);
$row = mysqli_fetch_assoc($result);
$data = date_create($row["importacao"]);
?>

<!--
Último pedido importado do Softshop: <?php
// echo date_format($data, 'd/m/Y');
?> </i>
-->

 </i> </small></section>

<p></p>
<section>

<?php
$notaspendentes = contarNotasPendentes($conexao);
$pedidos = contarPedidosTodos($conexao);
$pedidosrecebidosTodos = contarPedidosRecebidosTodos($conexao);

?>
<section>
<hr class="linha">	
<h4><img src="IMG/empresa.png" height="40px"> Dados de Pedidos </h4>
<p></p>

<table border="1" class="table tabelaindex">
		<tr align="center" class="pedidoscbc" >
		<th title="mostra apenas a loja que o Usuário tem permissao"> LOJA </th>
		<th title="Pedido foi feito mas não foi recebido">PEDIDOS ABERTOS</th>
		<th title="Pedido foi recebido mas não foi informada entrada no Softcom">PENDENTES DE ENTRADA</th>
	</tr>
<?php


$result = "SELECT * FROM usuarios WHERE usuario = '$usuario' ";
$resultado = mysqli_query($conexao, $result);

while ($linha = mysqli_fetch_array($resultado)) { ?>


	<tr align="center">
	<?php
 if ($linha["matriz"] == "sim") {

     $lojaconsulta = "matriz";
     $pendentesentrada = contarPendentes($conexao, $lojaconsulta);
     $pedidospendentesloja = contarPedidos($conexao, $lojaconsulta);
     $pedidosrecebidosloja = contarPedidosRecebidos($conexao, $lojaconsulta);
     ?>

		<td> <?php echo "MATRIZ"; ?>
		<td><?php echo $pedidospendentesloja; ?> </td>
		<td><?php echo $pendentesentrada; ?> </td>
	</tr>

	<tr align="center">
	
	<?php
 }
 if ($linha["loja02"] == "sim") {

     $lojaconsulta = "loja02";
     $pendentesentrada = contarPendentes($conexao, $lojaconsulta);
     $pedidospendentesloja = contarPedidos($conexao, $lojaconsulta);
     ?>

		<td> <?php echo "LOJA 02"; ?>
		<td><?php echo $pedidospendentesloja; ?> </td>
		<td><?php echo $pendentesentrada; ?> </td>
	</tr>

		<tr align="center">
	<?php
 }
 if ($linha["loja03"] == "sim") {

     $lojaconsulta = "loja03";
     $pendentesentrada = contarPendentes($conexao, $lojaconsulta);
     $pedidospendentesloja = contarPedidos($conexao, $lojaconsulta);
     $pedidosrecebidosloja = contarPedidosRecebidos($conexao, $lojaconsulta);
     ?>

		<td> <?php echo "LOJA 03"; ?>
		<td><?php echo $pedidospendentesloja; ?> </td>
		<td><?php echo $pendentesentrada; ?> </td>
	</tr>


		<tr align="center">
	<?php
 }
 if ($linha["loja04"] == "sim") {

     $lojaconsulta = "loja04";
     $pendentesentrada = contarPendentes($conexao, $lojaconsulta);
     $pedidospendentesloja = contarPedidos($conexao, $lojaconsulta);
     $pedidosrecebidosloja = contarPedidosRecebidos($conexao, $lojaconsulta);
     ?>

		<td> <?php echo "LOJA 04"; ?>
		<td><?php echo $pedidospendentesloja; ?> </td>
		<td><?php echo $pendentesentrada; ?> </td>
	</tr>

		<tr align="center">
	<?php
 }
 if ($linha["loja05"] == "sim") {

     $lojaconsulta = "loja05";
     $pendentesentrada = contarPendentes($conexao, $lojaconsulta);
     $pedidospendentesloja = contarPedidos($conexao, $lojaconsulta);
     $pedidosrecebidosloja = contarPedidosRecebidos($conexao, $lojaconsulta);
     ?>

		<td> <?php echo "LOJA 05"; ?>
		<td><?php echo $pedidospendentesloja; ?> </td>
		<td><?php echo $pendentesentrada; ?> </td>
	</tr>
<?php if ($tipousuario != "recebimento") { ?>
	<!-- todas as lojas -->
	<tr align="center" class="cortotal">
		<th> <?php echo "TOTAL"; ?> </th>
		<td><?php echo $pedidos; ?> </td>
		<td><?php echo $notaspendentes; ?> </td>
	</tr>

<?php }
 }
 }
?>

</table>

</section>


<!-- VENDAS DO DIA-->


<?php
$result = "SELECT * FROM usuarios WHERE usuario = '$usuario' ";
$resultado = mysqli_query($conexao, $result);

while ($linha = mysqli_fetch_array($resultado)) {
    $tipousuario2 = $linha["tipouser"];
}

if ($tipousuario2 != "recebimento") { ?>

<section>

<hr class="linha">
<h4>	
<img src="IMG/vendasdia.jpg" height="40px"> Vendas do dia
</h4>
<small><i>Esses valores são vendas líquidas, vendas já com desconto.</i>
<br /> as datas de consulta são, dia atual e mesma data do ano anterior. 
</small>

<table border="1" class="table tabelaindex ">

<tr align="center" class="pedidoscbc">

	<th>LOJA</th>
	<th> 2023 </th>
	<th>2024</th>
	<th>%</th>

</tr>
<?php
$hoje = date("Y-d-m");
$v = new Sqlserver;
$vendas = $v->vendasDoDia($hoje);
$totalvendas = 0;
$totalvendasAnt = 0;
$vendaAnoAnterio = 0;
$mediasloja = 0;

foreach ($vendas as $venda) {

	//total do dia atual 
	$totalvendas += $venda[1];
	//total do ano anterior
	$totalvendasAnt += $venda[1];

	//selecionar a loja
	$vendaloja = $venda[0];
	
	/* ------------------------------------------------
	buscar as vendas da loja e do dia do ano 
	*/
	$anoAnterior = $v->vendasDoDiaAnterior($vendaloja);
	$dataArray = json_decode($anoAnterior, true);

	//verificando se ouve vendas
	if (isset($dataArray[0]['1'])){
		//se ouve atribuindo o valor da venda
		$anoAnterio = $dataArray[0]['1'];
	}else{
	//senao colocar o valor zero
	$anoAnterio = 0;
	}
	/* ----------------------------------------------*/

	//somando os valores de todas as empresas do ano anterior para mostrar total
	$vendaAnoAnterio = $vendaAnoAnterio + $anoAnterio;
	
	//veridicando se ouve vendas no ano anterior na mesma data
	if($anoAnterio != 0){

	//fazer calculo da porcentagem do mesmo dia ano anterior
	$porcentagem1 = ($venda[1] / $anoAnterio) * 100;
	
	//se nao ouve vendas
	}else{
		$porcentagem1 = 0;
	}

	$porcentagem = $porcentagem1 - 100;
	//medias loja
	$mediasloja = ($mediasloja + $porcentagem);

        $media = $mediasloja / 5;
		

?>
<tr align='center' >
	
	<td><?php echo $venda[0]; ?></td>
	<td> R$ 
	<?php echo  number_format($anoAnterio, 2, ",", "."); ?>
	</td>
	<td> R$ <?php echo number_format($venda[1], 2, ",", "."); ?></td>
	<td><?php echo number_format($porcentagem, 2, ",", ".") ?></td>

<?php }?>
</tr>
<tr align="center"  class="cortotal" >
	<td>TOTAL</td>
	<td><?php echo "R$ " . number_format($vendaAnoAnterio, 2, ",", "."); ?></td>
	<td><?php echo "R$ " . number_format($totalvendas, 2, ",", "."); ?></td>
	<td><?php echo number_format($media, 2, ",", "."); ?></td>

</tr>

</table>
</section>

<!-- COMPRAS DO MES-->

<section>
	<hr class="linha">
	<h4><img src="IMG/compras.png" height="40px"> Compras do mês</h4>

	<small>
        <i>Esses valores não levam em consideração notas de bonificação,
		<br>os dados são apenas notas de entrada no Softcom
		<br>Soma apenas as notas com data de emissão a partir do dia 1º do mês atual</i>
    </small>

	<?php $sql = new SqlServer(); ?>

	<table border="1" class="table tabelaindex">

	<tr align="center" class="pedidoscbc">
		<th>LOJA</th>
		<th>VALOR </th>
	</tr>

	<?php
    //configurar o tipo de vizualização do dast de compras
    //ao informar 1 mostre os dados a partir da data de emissao
    //senao mostre os dados a partir da data de entrada
    $sql2 = $sql->comprasDomesEntrada($dia,$dia,1,1);//o parametro numero é o tipo da consulta

    foreach ($sql2 as $compras) {
		$loja2 = $compras[0];
		
		?>

	<tr align= "center">
		<td>  <a href="listar_compras.php?loja=<?php echo $loja2;?>&data=<?php echo $dia; ?>"> <?php echo $compras[0]; ?></a></td>
		<td> R$ <?php echo number_format($compras[1], 2, ",", "."); ?></td>
	</tr>

	<?php }
 } ?>

</table>

</section>

<!-- ANIVERSARIANTES-->
<section>
<hr class="linha">
<h4>	
<img src="IMG/aniver.png" height="40px"> Aniversariantes do mês
</h4>
<small> Os dados de data de nascimento dos funcionários são consultados no cadastro do Softcom </small>

<table border="1" class="table tabelaindex">

<tr align="center" class="pedidoscbc">

	<th>FUNCIONARIO</th>
	<th>DATA ANIVERSÁRIO </th>
	<th> LOJA </th>

</tr>

<?php
$anoAtual = date("Y");
$aniversariantes = consultarAniversariantes();

//fazendo um laco nos aniversariantes
foreach ($aniversariantes as $linha) {
    $datanasc = $linha["Datanasc"];
    $date = new DateTime("$datanasc");
    $datanasc = $date->format("d-m");
    $mesAnivarsario = $date->format("m");

    $nome = $linha["Nome"];
    $loja = $linha["LojaOrigem"];
    if ($mesAnivarsario == $mesAnoAtual) { ?>
<tr align= "center" >
		
<td>
	<?php echo $nome; ?>
</td>

<td>
	<?php echo $datanasc . "-" . $anoAtual; ?>
</td>


<td>
	<?php echo $loja; ?>
</td>
</tr>

<?php }
}
?>

</table>
</section>

<!-- REQUIRE O ARQUIVO QUE MOSTRA AS VENDAS DE TODOS OS FABRICANTES -->
<?php 

//painel de fabricantes
/*
require_once 'gerador/VendasFabricante.php';

			$lojasec = $_SESSION["loja"];

            if ($lojasec == 'matriz'){
                $lojasec = 'MATRIZ';
            }else if($lojasec == 'loja02'){
                $lojasec = 'LOJA 02';
            }else if($lojasec == 'loja03') {
                $lojasec = 'LOJA 03';
            }else if($lojasec == 'loja04'){
                $lojasec = 'LOJA 04';
            }else if($lojasec == 'loja05'){
                $lojasec = 'LOJA 05';
            }
            
			//DATA ATUAL
			//$hoje = date("Y-d-m");
			$hoje = date("d/m/Y");
			painelFabricante($hoje,$hoje,$lojasec,"Vendas por Fabricante do dia");
			
			
		echo $hoje;	
		
		*/
			?>
</section>


<?php include_once "footer.php"; ?>
